LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
LinkTarget Service Referencepublished

This service is implemented by objects inside a document object model that can be the target of a link inside a document. More...

`import"LinkTarget.idl";`

Inheritance diagram for LinkTarget:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::document::XLinkTargetSupplier
| a link target may have child objects which can be link targets too. More...

## Public Attributes
string | LinkDisplayName
| contains a human readable name for this object that could be displayed in a user interface. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()

## Detailed Description

This service is implemented by objects inside a document object model that can be the target of a link inside a document.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::document::XLinkTargetSupplier

interface com::sun::star::document::XLinkTargetSupplier
| optional

a link target may have child objects which can be link targets too.

These are accessible by this optional interface.

## Member Data Documentation

## ◆ LinkDisplayName

string LinkDisplayName
| property readonly

contains a human readable name for this object that could be displayed in a user interface.

The documentation for this service was generated from the following file:

- com/sun/star/document/LinkTarget.idl